// Door.java
// Started on March 29th, 2002
// Copyright (c) Virtu Halttunen

//import TheGame.*;

public class Door
{
    private int x;
    private int y;
    private byte direction;
    private boolean open;
    private boolean locked;

    public Door( int x, int y, int direction )
    {
        this.x = x;
        this.y = y;
        this.direction = (byte)direction;
    }

    public int getX()
    {
        return x;
    }

    public int getY()
    {
        return y;
    }

    public boolean isLocatedIn( int x, int y )
    {
        if( this.x==x && this.y==y )
        {
            return true;
        }
        return false;
    }

    public int getDirection()
    {
        return (int)direction;
    }

    public boolean isOpen()
    {
        return open;
    }

    public void setOpen( boolean open)
    {
        this.open = open;
    }

    public boolean isLocked()
    {
        return locked;
    }

    public void setLocked( boolean locked )
    {
        this.locked = locked;
    }
}