// XMLUtils.java
// Started on July 21st, 2005
// Copyright (c) Virtu Halttunen

import javax.xml.parsers.*;
import org.w3c.dom.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import java.io.*;
import java.util.Vector;

public class XMLUtils
{
    int dummy;
        
    public static Element getNamedChild( Element parent, String name ) throws Exception
    {
	NodeList children = parent.getChildNodes();
	for( int i=0; i < children.getLength(); i++ )
	{
	    Node node = children.item( i );
	    if( node.getNodeType() == Node.ELEMENT_NODE && node.getNodeName().equals( name ) )
	    {
		return (Element)node;
	    }
	}
	return null;
    }
    
    public static Element [] getNamedChildren( Element parent, String name ) throws Exception
    {
	Vector help = new Vector();
	NodeList children = parent.getChildNodes();
	for( int i=0; i < children.getLength(); i++ )
	{
	    Node node = children.item( i );
	    if( node.getNodeType() == Node.ELEMENT_NODE && node.getNodeName().equals( name ) )
	    {
		help.add( node );
	    }
	}
	Element [] theElements = new Element[ help.size() ];
	for( int i=0; i < help.size(); i++ )
	{
	    theElements[ i ] = (Element)help.elementAt( i );
	}
	return theElements;
    }
}