// AddSomeMinesObjective.java
// Started on July 6th, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import javax.swing.ImageIcon;
import java.io.*;
import java.util.Vector;

public class AddSomeMinesObjective extends Objective
{    
    public AddSomeMinesObjective()
    {
    }

    public void setGame( Game activeGame )
    {
        this.activeGame = activeGame;
        Mine mine;
        Point mStart;
        int mines = (int)(Math.random()*30);
        //System.out.println( "Adding " + mines + " mines" );
        for( int i=0; i < mines; i++ )
        {
            mine = new Mine();
            mine.setGame( activeGame );
            mStart = activeGame.getRandomPointForMonster();
            mine.setLocation( mStart );
            mine.setSetByPlayer( false );
            mine.setArmed( true );
            activeGame.addMonster( mine );
        }
    }

    public int getNumberOfSprites()
    {
        return 0;
    }    
    
    public Sprite getSprite( int x, int y)
    {
        return null;
    }

    public String [] getPropertyNames()
    {
        return null;
    }

    public String getProperty( String key )
    {
        return null;
    }

    public void setProperty( String key, String value ) throws IllegalArgumentException
    {
    }    
    
    public boolean isCompleted()
    {
        return true;
    }

    public int getSize()
    {
        return 0;
    }

    public boolean isLocatedIn( Point point )
    {
        return false;
    }

    public boolean isLocatedIn( int x, int y )
    {
        return isLocatedIn( new Point( x, y ) );
    }

    public boolean isDestructible()
    {
        return false;
    }

    public boolean isShownOnMap()
    {
        return false;
    }

    public boolean handleDamage( Point point, int damage )
    {
        return false;
    }

    public boolean handleAction( GameAction action )
    {
          return false;
    }
}