// CommandBobsObjectiveSprite.java
// Started on March 13th, 2004
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class CommandBobsObjectiveSprite extends Sprite
{
    
    private static Image [] images = null;
    private boolean target;
    
    public CommandBobsObjectiveSprite( boolean target )
    {
	if( images == null )
	{
	    
	    images = new Image[2];
	    Vector temp = new Vector();
	    ResourceManager.cropImage( "BobGuides.png", temp, 48 );
            images[0] = (Image)temp.elementAt( 0 );
            images[1] = (Image)temp.elementAt( 1 );
	}
        this.target = target;
	location = new Point( -1, -1 );
	bounds = new Rectangle( 0, 0, 48, 48 );
    }
    
    public Image getSprite( GameAction action )
    {
        if( target )
            return images[0];
        return images[1];
    }
    
    public Image getSprite()
    {
        if( target )
            return images[0];
        return images[1];
    }
}