// LavaSprite.java
// Started on December 22nd, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class LavaSprite extends Sprite
{

    private static Image image = null;

    public LavaSprite()
    {
        if( image == null )
        {
            image = ResourceManager.loadImage( "Lava.png" );
        }
        location = new Point( -1, -1 );
        bounds = new Rectangle( 0, 0, 58, 58 );
    }

    public Image getSprite( GameAction action )
    {
        return image;
    }

    public Image getSprite()
    {
        return image;
    }

    public int getXOffset()
    {
        return -5;
    }

    public int getYOffset()
    {
        return -5;
    }
    
}