// RecoverObjectiveSprite.java
// Started on October 27th, 2001 as BrainSprite
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class RecoverObjectiveSprite extends Sprite
{

    private Image image = null;
    private String imageFileName = "Brain.png";
    
    public RecoverObjectiveSprite()
    {
        if( image == null )
        {
            image = ResourceManager.loadImage( imageFileName );
        }
        location = new Point( -1, -1 );
        bounds = new Rectangle( 0, 0, 48, 48 );
    }

    public RecoverObjectiveSprite( String fileName, int xSize, int ySize )
    {
        imageFileName = new String( fileName );
        if( image == null )
        {
            image = ResourceManager.loadImage( imageFileName );
        }
        location = new Point( -1, -1 );
        bounds = new Rectangle( 0, 0, xSize, ySize );
    }

    public Image getSprite( GameAction action )
    {
        return image;
    }

    public Image getSprite()
    {
        return image;
    }
}