// RipperFaction.java
// Started on September 1st, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

class RipperFaction implements MonsterFaction
{
    int dummy;

    public void addMonsters( Game game, int monsters )
    {
        System.out.println( "Using Ripper faction" );
        int monsterType;
        int x, y;
        for( int i=0; i < monsters; i++ )
        {
            Monster newMonster;
            monsterType = (int)( Math.random()*14 );
            switch( monsterType )
            {
                case 0:
                case 1:
                    newMonster = new Bob(); break;
                case 2:
                case 3:
                    newMonster = new Egg(); break;
                case 4:
                case 5:
                case 6:
                case 7:
                    newMonster = new Scratcher(); break;
                case 9:
                case 10:
                    newMonster = new Ripper(); break;
                default:
                    newMonster = new Slasher(); break;
            }
            newMonster.setLocation( game.getRandomPointForMonster() );
	    //System.out.println( newMonster.getType() + " at " + Objective.pointToString( newMonster.getLocation() ) );
            game.addMonster( newMonster );
        }
    }
}