// RobotFactorySprite.java
// Started on September 16th, 2003
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.*;
import java.util.Vector;
import javax.swing.ImageIcon;

public class RobotFactorySprite extends Sprite
{

    private static Image [] images = null;
    private int index = 0;

    public RobotFactorySprite( int index )
    {
        this.index = index;
        if( images == null )
        {

            images = new Image[7];
            Vector temp = new Vector();
            ResourceManager.cropImage( "RobotFactory.png", temp, 48 );
            for( int i = 0; i < 7; i++ )
            {
                images[i] = (Image)temp.elementAt( i );
            }
        }
        location = new Point( -1, -1 );
        bounds = new Rectangle( 0, 0, 48, 48 );
    }

    public Image getSprite( GameAction action )
    {
        return images[ index ];
    }

    public Image getSprite()
    {
        return images[ index ];
    }
}