// ShootAction.java
// Started on December 4th, 2001
// Copyright (c) Virtu Halttunen

package TheGame;

import java.awt.Point;

public class ShootAction implements GameAction
{
    private Point endPoint;
    private Character actor;
    private Weapon weapon;
    private boolean hit;
    private int cost = 1;
    
    public ShootAction( Character actor, Weapon weapon, Point endPoint, boolean hit )
    {
	//System.out.println( "New shoot action:  Start: " + startPoint.toString() + " End: " + endPoint.toString() );
	this.actor = actor;
        this.weapon = weapon;
	this.endPoint = new Point( endPoint );
        this.hit = hit;
    }
    
    public Character getActor()
    {
	return actor;
    }
        
    public Point getEndPoint()
    {
	return new Point( endPoint );
    }

    public Weapon getWeapon()
    {
        return weapon;
    }

    public boolean getHit()
    {
        return hit;
    }
    
    public void setTarget( Point point )
    {
	endPoint = new Point( point );
    }
    
    public void setHit( boolean hit )
    {
	this.hit = hit;
    }

    public int getCost()
    {
        return cost;
    }

    public void setCost( int cost )
    {
        this.cost=cost;
    }
    
}